IRC(1)

NAME
irc - User Interface to Internet Relay Chat Protocol

SYNOPSIS
irc [-p portnum] [-c channel] [ nickname [ server ]]

DESCRIPTION

Irc is a user interface to the Internet Relay Chat, a CB-like interactive discussion environment. It is structured into channels, which are public discussion forums, and also allows for private intercommunication. Each participant has a nickname, which is the one specified in the command line or else his login name.

Once invoked, irc connects as a client to the specified server, server or to the default one (see below). The screen splits into a dialogue window (the major part of the screen) and a command line, from which messages can be sent and commands given to control irc.

COMMAND SYNTAX
The syntax of irc commands is of the form /COMMAND. The most notable ones are listed below. For an uptodate list, use the HELP command of irc. Case is ignored.

/ADMIN [server]
    Prints administrative information about an IRC server.

/AWAY [message]
    Mark yourself as being away (with an automatic reply message if specified)

/BYE, /EXIT, /QUIT
    Terminate the session

/CHANNEL [channel]
    Join another channel

/CLEAR
    Clear the screen

/HELP [command]
    Display a brief description of the command (or list all commands, if none specified).

/SUMMON user
    Allows to summon a user specified as a full Internet address, i.e., login@host.domain, to an IRC dialogue session (in much the same way as the talk(1) command). It is usable ONLY if the irc daemon runs on the target machine (host.domain).

/TOPIC topic
    Sets the topic for the current channel

/WHO [channel|*]
    Lists all users of IRC if no argument, of the specified channel or of the current channel (*).

ARGUMENTS

-p portnum
    TCP/IP "port number. Default is 6667 and this option should seldom if ever" be used.

-c channel
    Channel number to join upon beginning of the session. Default is no channel.

nickname
    Nickname used in the session (can be changed with the /NICK command). Default is user login name.

server
    Server to connect to. Default is specified in the irc system configuration file, and can be superseded with the environment variable IRCSERVER.

EXAMPLE
    tolmoon% irc -p6667 Wizard tolsun

connects you to irc server in host tolsun (port 6667) with nickname Wizard

COPYRIGHT
Copyright (c) 1988 University of Oulu, Computing Center, Finland.
Copyright (c) 1988,1989,1990 Jarkko Oikarinen
All rights reserved.
For full COPYRIGHT see LICENSE file with IRC package.

SEE ALSO
ircd(8)

BUGS
What bugs ?

AUTHOR
Jarkko Oikarinen <jto@tolsun.oulu.fi>
Manual page updated by Michel Fingerhut <Michel.Fingerhut@ircam.fr>